bitcoinjs-server installation

IN PROGRESS
Bids
4
Avg Bid (USD)
$165
Project Budget (USD)
$30 - $250

Project Description:
I'm attempting to install the following open source project: https://github.com/bitcoinjs/bitcoinjs-server. However, I cannot get the source to install. The github project is partially abandoned and I need a stable version installed on an Ubuntu server (v13.10) running node.js v0.10.22. For this project I need a replicable solution that I can use to get through the installation process.

The error I'm encountering is:

> leveldb@0.7.1 preinstall /usr/lib/node_modules/bitcoinjs/node_modules/leveldb
> make build

if [ ! -d ./build ]; then node-gyp configure; fi
gyp WARN EACCES user "root" does not have permission to access the dev dir "/root/.node-gyp/0.10.22"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/lib/node_modules/bitcoinjs/node_modules/leveldb/.node-gyp"
gyp http GET http://nodejs.org/dist/v0.10.22/node-v0.10.22.tar.gz
gyp http 200 http://nodejs.org/dist/v0.10.22/node-v0.10.22.tar.gz
node-gyp build
make[1]: Entering directory `/usr/lib/node_modules/bitcoinjs/node_modules/leveldb/build'
make[1]: *** No rule to make target `../.node-gyp/0.10.22/common.gypi', needed by `Makefile'. Stop.
make[1]: Leaving directory `/usr/lib/node_modules/bitcoinjs/node_modules/leveldb/build'
gyp ERR! build error
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:267:23)
gyp ERR! stack at ChildProcess.EventEmitter.emit (events.js:98:17)
gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:789:12)
gyp ERR! System Linux 3.11.0-12-generic
gyp ERR! command "node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "build"
gyp ERR! cwd /usr/lib/node_modules/bitcoinjs/node_modules/leveldb
gyp ERR! node -v v0.10.22
gyp ERR! node-gyp -v v0.11.0
gyp ERR! not ok
make: *** [build] Error 1

> kerberos@0.0.3 install /usr/lib/node_modules/bitcoinjs/node_modules/mongodb/node_modules/kerberos
> (node-gyp rebuild 2> builderror.log) || (exit 0)


npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/usr/lib/node_modules/bitcoinjs/node_modules/mongodb/node_modules'
npm ERR! error rolling back bitcoinjs@0.2.8 { [Error: ENOTEMPTY, rmdir '/usr/lib/node_modules/bitcoinjs/node_modules/mongodb/node_modules']
npm ERR! error rolling back errno: 53,
npm ERR! error rolling back code: 'ENOTEMPTY',
npm ERR! error rolling back path: '/usr/lib/node_modules/bitcoinjs/node_modules/mongodb/node_modules' }
npm ERR! leveldb@0.7.1 preinstall: `make build`
npm ERR! Exit status 2
npm ERR!
npm ERR! Failed at the leveldb@0.7.1 preinstall script.
npm ERR! This is most likely a problem with the leveldb package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! make build
npm ERR! You can get their info via:
npm ERR! npm owner ls leveldb
npm ERR! There is likely additional logging output above.
npm ERR! System Linux 3.11.0-12-generic
npm ERR! command "/usr/bin/node" "/usr/bin/npm" "install" "bitcoinjs" "-g"
npm ERR! cwd /var/www-dev
npm ERR! node -v v0.10.22
npm ERR! npm -v 1.3.14
npm ERR! code ELIFECYCLE


There are some open issues that address my problem, but none of the solutions seem to work: https://github.com/bitcoinjs/bitcoinjs-server/issues/93.

Skills required:
Javascript, node.js, Ubuntu
About the employer:
Verified
Public Clarification Board
Bids are hidden by the project creator. Log in as the employer to view bids or to bid on this project.
You will not be able to bid on this project if you are not qualified in one of the job categories. To see your qualifications click here.


Hire jibyjose001
$ 210
in 1 days
$ 144
in 0 days
Hire kindai
$ 155
in 3 days
$ 150
in 3 days